﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CARD_SCHEME' AND COLUMN_NAME = 'DELETED' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CARD_SCHEME_DELETED')
BEGIN 
    PRINT 'Creating default constraint DF_CARD_SCHEME_DELETED on table CARD_SCHEME' 
    ALTER TABLE [dbo].[CARD_SCHEME]
    ADD CONSTRAINT [DF_CARD_SCHEME_DELETED] DEFAULT ((0)) FOR [DELETED]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CARD_SCHEME' AND COLUMN_NAME = 'COPY_RECEIPT' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CARD_SCHEME_COPY_RECEIPT')
BEGIN 
    PRINT 'Creating default constraint DF_CARD_SCHEME_COPY_RECEIPT on table CARD_SCHEME' 
    ALTER TABLE [dbo].[CARD_SCHEME]
    ADD CONSTRAINT [DF_CARD_SCHEME_COPY_RECEIPT] DEFAULT ((0)) FOR [COPY_RECEIPT]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CARD_SCHEME' AND COLUMN_NAME = 'PRINT_SIG_SLIP' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CARD_SCHEME_PRINT_SIG_SLIP')
BEGIN 
    PRINT 'Creating default constraint DF_CARD_SCHEME_PRINT_SIG_SLIP on table CARD_SCHEME' 
    ALTER TABLE [dbo].[CARD_SCHEME]
    ADD CONSTRAINT [DF_CARD_SCHEME_PRINT_SIG_SLIP] DEFAULT ((0)) FOR [PRINT_SIG_SLIP]
END 
GO

